package com.bocloud.nms.model.veeam.repositories;

public class WindowsLocalRepositorySettingsModel {

    private String path;
    private Integer maxTaskCount;
    private Integer readWriteRate;
    private RepositoryAdvancedSettingsModel advancedSettings;

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getMaxTaskCount() {
        return maxTaskCount;
    }

    public void setMaxTaskCount(Integer maxTaskCount) {
        this.maxTaskCount = maxTaskCount;
    }

    public Integer getReadWriteRate() {
        return readWriteRate;
    }

    public void setReadWriteRate(Integer readWriteRate) {
        this.readWriteRate = readWriteRate;
    }

    public RepositoryAdvancedSettingsModel getAdvancedSettings() {
        return advancedSettings;
    }

    public void setAdvancedSettings(RepositoryAdvancedSettingsModel advancedSettings) {
        this.advancedSettings = advancedSettings;
    }

    @Override
    public String toString() {
        return "MountServerSettingsModel{" +
                "path='" + path + '\'' +
                ", maxTaskCount=" + maxTaskCount +
                ", readWriteRate=" + readWriteRate +
                ", advancedSettings=" + advancedSettings +
                '}';
    }
}
